/*
 *
 * Nextcloud Android client application
 *
 * @author Tobias Kaminsky
 * Copyright (C) 2022 Tobias Kaminsky
 * Copyright (C) 2022 Nextcloud GmbH
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */
package com.owncloud.android.ui.adapter

import android.view.View
import android.widget.ImageButton
import android.widget.ImageView
import android.widget.LinearLayout
import android.widget.TextView
import com.elyeproj.loaderviewlibrary.LoaderImageView

interface ListGridImageViewHolder {
    val thumbnail: ImageView
    fun showVideoOverlay()
    val shimmerThumbnail: LoaderImageView
    val favorite: ImageView
    val localFileIndicator: ImageView
    val imageFileName: TextView?
    val shared: ImageView
    val checkbox: ImageView
    val itemLayout: View
    val unreadComments: ImageView
    val more: ImageButton?
    val fileFeaturesLayout: LinearLayout?
    val gridLivePhotoIndicator: ImageView?
    val livePhotoIndicator: TextView?
    val livePhotoIndicatorSeparator: TextView?
}
